[arch-commits] Commit in netcdf-openmpi/repos/community-x86_64 (PKGBUILD PKGBUILD)
Bruno Pagani
archange at archlinux.org
Sun Dec 23 15:54:05 UTC 2018
Date: Sunday, December 23, 2018 @ 15:54:04
Author: archange
Revision: 417642
archrelease: copy trunk to community-x86_64
Added:
netcdf-openmpi/repos/community-x86_64/PKGBUILD
(from rev 417641, netcdf-openmpi/trunk/PKGBUILD)
Deleted:
netcdf-openmpi/repos/community-x86_64/PKGBUILD
----------+
PKGBUILD | 128 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 64 insertions(+), 64 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2018-12-23 15:53:56 UTC (rev 417641)
+++ PKGBUILD 2018-12-23 15:54:04 UTC (rev 417642)
@@ -1,64 +0,0 @@
-# Maintainer: Ronald van Haren <ronald.archlinux.org>
-# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
-# Contributor: damir <damir at archlinux.org>
-
-_pkg=netcdf
-_mpi=openmpi
-pkgname=${_pkg}-${_mpi}
-pkgver=4.6.2
-pkgrel=1
-pkgdesc="network Common Data Form interface for array-oriented data access and corresponding library with parallel support (${_mpi} version)"
-arch=('x86_64')
-url="https://www.unidata.ucar.edu/software/netcdf/"
-depends=("hdf5-${_mpi}" "parallel-netcdf-${_mpi}" 'curl')
-makedepends=('cmake')
-optdepends=('netcdf-fortran: fortran bindings' 'netcdf-cxx: c++ bindings')
-checkdepends=('inetutils')
-provides=('netcdf')
-conflicts=('netcdf')
-options=('!makeflags')
-license=('custom')
-source=(${_pkg}-${pkgver}.tar.gz::"https://github.com/Unidata/netcdf-c/archive/v${pkgver}.tar.gz")
-sha256sums=('673936c76ae0c496f6dde7e077f5be480afc1e300adb2c200bf56fbe22e5a82a')
-
-prepare() {
- mkdir -p build
-}
-
-build() {
- cd build
- export CC=mpicc
- cmake ../${_pkg}-c-${pkgver} \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DCMAKE_INSTALL_LIBDIR=lib \
- -DCMAKE_BUILD_TYPE=Release \
- -DENABLE_CDF5=ON \
- -DENABLE_PNETCDF=ON \
- -DENABLE_DAP_LONG_TESTS=ON \
- -DENABLE_EXAMPLE_TESTS=ON \
- -DENABLE_EXTRA_TESTS=ON \
- -DENABLE_FAILING_TESTS=ON \
- -DENABLE_FILTER_TESTING=ON \
- -DENABLE_LARGE_FILE_TESTS=ON
- make
-}
-
-
-check() {
- cd build
-
- # This is required starting with OpenMPI 3.0 when trying to run more
- # processes than the number of available cores
- export OMPI_MCA_rmaps_base_oversubscribe=yes
-
- # One test failure https://github.com/Unidata/netcdf-c/issues/808
- make test || warning "Test failure"
-}
-
-package() {
- cd build
- make DESTDIR="${pkgdir}" install
-
- cd "${srcdir}"/${_pkg}-c-${pkgver}
- install -Dm644 COPYRIGHT -t "${pkgdir}"/usr/share/licenses/${_pkg}/
-}
Copied: netcdf-openmpi/repos/community-x86_64/PKGBUILD (from rev 417641, netcdf-openmpi/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2018-12-23 15:54:04 UTC (rev 417642)
@@ -0,0 +1,64 @@
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+_pkg=netcdf
+_mpi=openmpi
+pkgname=${_pkg}-${_mpi}
+pkgver=4.6.2
+pkgrel=2
+pkgdesc="network Common Data Form interface for array-oriented data access and corresponding library with parallel support (${_mpi} version)"
+arch=('x86_64')
+url="https://www.unidata.ucar.edu/software/netcdf/"
+depends=("hdf5-${_mpi}" "pnetcdf-${_mpi}" 'curl')
+makedepends=('cmake')
+optdepends=('netcdf-fortran: fortran bindings' 'netcdf-cxx: c++ bindings')
+checkdepends=('inetutils')
+provides=('netcdf')
+conflicts=('netcdf')
+options=('!makeflags')
+license=('custom')
+source=(${_pkg}-${pkgver}.tar.gz::"https://github.com/Unidata/netcdf-c/archive/v${pkgver}.tar.gz")
+sha256sums=('673936c76ae0c496f6dde7e077f5be480afc1e300adb2c200bf56fbe22e5a82a')
+
+prepare() {
+ mkdir -p build
+}
+
+build() {
+ cd build
+ export CC=mpicc
+ cmake ../${_pkg}-c-${pkgver} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DENABLE_CDF5=ON \
+ -DENABLE_PNETCDF=ON \
+ -DENABLE_DAP_LONG_TESTS=ON \
+ -DENABLE_EXAMPLE_TESTS=ON \
+ -DENABLE_EXTRA_TESTS=ON \
+ -DENABLE_FAILING_TESTS=ON \
+ -DENABLE_FILTER_TESTING=ON \
+ -DENABLE_LARGE_FILE_TESTS=ON
+ make
+}
+
+
+check() {
+ cd build
+
+ # This is required starting with OpenMPI 3.0 when trying to run more
+ # processes than the number of available cores
+ export OMPI_MCA_rmaps_base_oversubscribe=yes
+
+ # One test failure https://github.com/Unidata/netcdf-c/issues/808
+ make test || warning "Test failure"
+}
+
+package() {
+ cd build
+ make DESTDIR="${pkgdir}" install
+
+ cd "${srcdir}"/${_pkg}-c-${pkgver}
+ install -Dm644 COPYRIGHT -t "${pkgdir}"/usr/share/licenses/${_pkg}/
+}
More information about the arch-commits
mailing list